## grep ast-0.7.1

=== requirements.txt ===
tree-sitter-language-pack
pathspec

## grep 2.6.3

=== debian/changelog ===
grep (2.6.3-3ubuntu1) natty; urgency=low

  * Don't pass -ldl in CFLAGS, but in LIBS instead.
  * Verbose build by default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Nov 2010 04:55:08 +0100

grep (2.6.3-3) unstable; urgency=high

  * Ignore MMAP_OPTION
    Add 06-578709-ignore-MMAP_OPTION.patch
    Closes: 578709

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 22 Apr 2010 10:36:48 +1000

grep (2.6.3-2) unstable; urgency=low

  * Don't ship /usr/share/info/dir.gz which is created when install-info is
    present in the build environment, see
    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=576620
    Closes: 576787
  * Make grep not fail to diagnose a failed malloc
    Add 05-kwset.c.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 08 Apr 2010 06:26:31 +1000

grep (2.6.3-1) unstable; urgency=low

  * New upstream version
    Closes: 576315
    Fix "seg fault with 'grep -i' on multiple files"
    Closes: 510196
    Fix "Incorrect matches with grep -w"
    Closes: 576155
  * Merged upstream:
      60-dfa.c-case_fold.patch
      61-dfa.c-case_fold-charclass.patch
      63-dfa.c-case_fold-range.patch
      66-match_icase.patch
      69-mbtowc.patch
    Rejected upstream:
      65-dfa-optional.patch
      67-w.patch
    Failed patches:
      64-egf-speedup.patch
      75-dfa_calloc.patch
  * Remove 65-dfa-optional.patch and 67-w.patch as upstream rejected them
    Fix "fgrep -i does not always match what grep matches"
    Closes: 575300
    Fix "-x and -w interfere?"
    Closes: 429435
  * Include debugging symbols
    Closes: 440883
  * Debian source format is 3.0 (quilt)
  * Fix out-of-date-standards-version
  * Fix debhelper-but-no-misc-depends
  * Fix copyright-refers-to-symlink-license
  * fix missing-dependency-on-install-info

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 05 Apr 2010 10:02:23 +1000

grep (2.5.4-4) unstable; urgency=low

  * dlopen PCRE so we can have -P; 03-dlopen-pcre.patch by Reuben Thomas 
    closes: #238237, #318680, #364998, #397262, #441373, #443103
    - Remove --disable-perl-regexp as configure parameter
  * Suggests libpcre3
  * Standards version is 3.8.1

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 25 Mar 2009 12:25:23 +1100

grep (2.5.4-3) unstable; urgency=low

  * Updated copyright. The grep.texi removal notice is not longer
    needed.
  * Adding --without-included-regex to solve problems with glibc-2.9.
    Thanks to the Ubuntu team. (Closes: #491158)
  * Updated debhelper compat to version 7

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 09 Mar 2009 22:50:47 +0100

grep (2.5.4-2) unstable; urgency=low

  * Upload to unstable

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 16 Feb 2009 10:39:12 +1100

grep (2.5.4-1) experimental; urgency=low

  * New upstream version
    Documentation was re-licensed without the invariant section
    Remove 68-no-grep.texi.patch
  * Don't build-depend on cdbs
  * Build-Depend on autotools-dev and quilt
  * Standards version is 3.8.0
  * Patches merged upstream:
    75-dfa_calloc.patch
  * Get mbtowc to look at the character before and after the match to
    check if the match is a whole word. Patch by Peter De Wachter.
    Add 69-mbtowc.patch. Closes: #446270
  * Fix the following lintian issues:
    W: grep: ancient-dpkg-predepends-check preinst:5

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 11 Feb 2009 12:30:01 +1100

grep (2.5.3~dfsg-6) unstable; urgency=low

  * Corrected Catalan translation. Thanks to Carles Pina i Estany. 
    (Closes: #495993)

 -- Santiago Ruano Rincón <santiago@debian.org>  Sun, 31 Aug 2008 17:32:17 +0200

grep (2.5.3~dfsg-5) unstable; urgency=low

  * Removed 56-recursive-default.patch, refer to #414168.
    Closes: #467625

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 29 Feb 2008 08:58:31 +1100

grep (2.5.3~dfsg-4) unstable; urgency=low

  * rgrep: Make . the default when no file or directory names given. 
    Thanks to Magnus Holmgren <holmgren@lysator.liu.se> (Closes: 414168)
  * grep.1: using \(aq instead of '. Thanks to Andrew Moise
    <chops@demiurgestudios.com>. (Closes: #226881)
  * egrep: using calloc() instead of malloc() 
    Thanks to Johan Walles <johan.walles@gmail.com> (Closes: #450649)
  * Updated watch file.
  * Bump Standard-version to 3.7.3. (No changes needed)

 -- Santiago Ruano Rincón <santiago@debian.org>  Sat, 16 Feb 2008 20:43:55 +0100

grep (2.5.3~dfsg-3) unstable; urgency=high

  * Acknowledge NMU. Closes: #181378, #442882, #439931, #368575,
    #350206, #432636, #441006, #444164, #429435
  * debian/control: added homepage

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 04 Oct 2007 21:01:16 +1000

grep (2.5.3~dfsg-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Reinstate patches by Nicolas François <nicolas.francois@centraliens.net>
    Closes: #181378, #442882

 -- Thomas Viehmann <tv@beamnet.de>  Tue, 02 Oct 2007 23:02:35 +0200

grep (2.5.3~dfsg-2) unstable; urgency=low

  * Removed 65-dfa-optional.patch. (Closes: #439827, #440195, #440342)

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 06 Sep 2007 00:16:20 -0500

grep (2.5.3~dfsg-1) unstable; urgency=low

  * New upstream version (Closes: #433705). Fixes:
    - grep --color &#39;^a&#39; colors too much (^a*) (Closes: #294367)
    - { echo foo; echo bar; } |grep -o ^. matches every letter
      (Closes: #406259)
    - grep -A1 -m1 segfaults with multiple line matches (Closes: #411097)
    - -o does not work correctly with quantifications (Closes: #293267)
    - fgrep -w in 2.5.1 fails when wanted subset follows a superset string
    (Closes: #195922)
  * Updated copyright to GPLv3
  * Removed postinst and prerm. They register and deregister grep.info
    which is not shipped (Closes: #336240).
  * Removed debian/info (Closes: #362184, #407768).

 -- Santiago Ruano Rincón <santiago@debian.org>  Sat, 25 Aug 2007 11:11:01 -0500

grep (2.5.1.ds2-6) unstable; urgency=low

  * Added watch file. (Closes: #248733)


=== debian/control ===
Source: grep
Section: utils
Priority: required
Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
Uploaders: Santiago Ruano Rincón <santiago@debian.org>
Standards-Version: 3.8.4
Build-Depends: autotools-dev, debhelper (>= 7), gettext, libpcre3-dev (>= 7.7), quilt
Homepage: http://www.gnu.org/software/grep/

Package: grep
Architecture: any
Essential: yes
Pre-Depends: ${shlibs:Depends}
Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
Conflicts: rgrep
Provides: rgrep
Suggests: libpcre3 (>= 7.7)
Description: GNU grep, egrep and fgrep
 'grep' is a utility to search for text in files; it can be used from the
 command line or in scripts.  Even if you don't want to use it, other packages
 on your system probably will.
 .
 The GNU family of grep utilities may be the "fastest grep in the west".
 GNU grep is based on a fast lazy-state deterministic matcher (about
 twice as fast as stock Unix egrep) hybridized with a Boyer-Moore-Gosper
 search for a fixed string that eliminates impossible text from being
 considered by the full regexp matcher without necessarily having to
 look at every character. The result is typically many times faster
 than Unix grep or egrep. (Regular expressions containing backreferencing
 will run more slowly, however.)

## grep 2.9

=== debian/changelog ===
grep (2.9-1) unstable; urgency=low

  * 60-76011-main.c.patch: `grep -lc' does not show files with no occurrences. 
    Thanks to Peter Samuelson. (Closes: #76011)
  * New upstream release.
    - Fixes locales and brackets-related bug (Closes: #624387)
  * Updating 80-587930-man-ere-reference.patch to add changes in info page

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 13 Jul 2011 20:02:15 -0400

grep (2.8-2) unstable; urgency=low

  * Applying patch to improve reference acronyms in man page. Thanks to 
    Chris Butler. (Closes: #587930)
  * Bump Standars-Version to 3.9.2. No changes needed

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 31 May 2011 19:05:48 +0200

grep (2.8-1) experimental; urgency=low

  * New upstream version: 2.8
  * Removing, since not longer needed:
    - 80-495993-catalan_translation.patch
    - 90-dfasearch-hurd.patch
  * Really applying 55-185208-bigfile.patch

 -- Santiago Ruano Rincón <santiago@debian.org>  Sun, 29 May 2011 11:04:28 +0200

grep (2.7-2) experimental; urgency=low

  * Adding 90-dfasearch-hurd.patch to avoid error 
    when compiling on hurd.

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 19 Apr 2011 21:17:27 +0200

grep (2.7-1) experimental; urgency=low

  * New upstream version, 2.7
    - Updated patches: 
      03-397262-dlopen-pcre.patch
      55-185208-bigfile.patch
      80-495993-catalan_translation.patch
    - Not longer needed, now included in upstream: 
      05-kwset.c.patch
      06-578709-ignore-MMAP_OPTION.patch
  * Merging with Ubuntu:
    - Don't pass -ldl in CFLAGS, but in LIBS instead. (Closes: #596266)
    - Verbose build by default.
  * Bump Standars-Version to 3.9.1, no changes needed
  * Vcs-Git and Vcs-Browser fileds included again

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 18 Apr 2011 18:23:03 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: required
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Santiago Ruano Rincón <santiago@debian.org>
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Build-Depends: autotools-dev, debhelper (>= 7), gettext, libpcre3-dev (>= 7.7), quilt
 Homepage: http://www.gnu.org/software/grep/
+Vcs-Git: git://git.debian.org/git/collab-maint/grep.git
+Vcs-Browser: http://git.debian.org/?p=collab-maint/grep.git
 
 Package: grep
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

CFLAGS= -O3 -g
LDFLAGS= -Wl,-z,defs
LIBS= -Wl,--no-as-needed -ldl -Wl,--as-needed

include /usr/share/quilt/quilt.make

config.status: patch configure
	dh_testdir
	cp -f /usr/share/misc/config.sub /usr/share/misc/config.guess .
	./configure $(CROSS) --prefix=/usr --exec-prefix=/ --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --without-included-regex CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" LIBS="$(LIBS)"

build: build-stamp

build-stamp:  config.status 
	dh_testdir
	$(MAKE) V=1
	touch $@

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp 
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/grep install

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs README NEWS TODO AUTHORS THANKS
	dh_installexamples
	dh_installman
	dh_install
	dh_link
	dh_strip
	dh_compress
	rm -f debian/grep/usr/share/info/dir.gz
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=2
opts=dversionmangle=s/\~dfsg// \
	http://ftp.gnu.org/gnu/grep/grep-(.*)\.tar\.gz

## grep 2.10

=== debian/changelog ===
grep (2.10-1) unstable; urgency=low

  * New upstream version 2.10
  * Fix unneeded-build-dep-on-quilt
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 04 Dec 2011 21:17:33 +1100

grep (2.9-2) unstable; urgency=low

  * Removed 60-76011-main.c.patch introduced in the last revision. It
    introduces a bug and needs further discusion. See:
    https://savannah.gnu.org/patch/?7577

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 18 Aug 2011 00:31:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Santiago Ruano Rincón <santiago@debian.org>
 Standards-Version: 3.9.2
-Build-Depends: autotools-dev, debhelper (>= 7), gettext, libpcre3-dev (>= 7.7), quilt
+Build-Depends: autotools-dev, debhelper (>= 7), gettext, libpcre3-dev (>= 7.7)
 Homepage: http://www.gnu.org/software/grep/
 Vcs-Git: git://git.debian.org/git/collab-maint/grep.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/grep.git

=== debian/rules ===
--- 
+++ 
@@ -17,21 +17,20 @@
 LDFLAGS= -Wl,-z,defs
 LIBS= -Wl,--no-as-needed -ldl -Wl,--as-needed
 
-include /usr/share/quilt/quilt.make
-
-config.status: patch configure
+config.status: configure
 	dh_testdir
 	cp -f /usr/share/misc/config.sub /usr/share/misc/config.guess .
 	./configure $(CROSS) --prefix=/usr --exec-prefix=/ --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --without-included-regex CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" LIBS="$(LIBS)"
 
-build: build-stamp
-
-build-stamp:  config.status 
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
+build-stamp: config.status 
 	dh_testdir
 	$(MAKE) V=1
 	touch $@
 
-clean: unpatch
+clean: 
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp

## grep 2.12

=== debian/changelog ===
grep (2.12-2) unstable; urgency=low

  * Updated debian/watch to match .tar.xz files 
  * Added 90-672240-exclude.patch so that --exclude excludes again 
    (Closes: #672240)

 -- Santiago Ruano Rincón <santiago@debian.org>  Sun, 13 May 2012 14:08:01 +0200

grep (2.12-1) unstable; urgency=low

  * New upstream version 2.12
    Merged upstream:
      82-669084-stdin-exemption.patch
      81-668585-excluded_file_name.patch

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 08 May 2012 11:41:50 +1000

grep (2.11-3) unstable; urgency=low

  * --devices=ACTION (-D) no longer affects stdin 
    Add 82-669084-stdin-exemption.patch
    Closes: #669084

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 17 Apr 2012 22:49:08 +1000

grep (2.11-2) unstable; urgency=low

  * Don't segfault with -r --exclude-dir and no file operand
    Add 81-668585-excluded_file_name.patch
    Patch by Allan McRae
    Closes: #668585

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 13 Apr 2012 18:29:01 +1000

grep (2.11-1) unstable; urgency=low

  * New upstream version 2.11
    Closes: #668534
    Fix "input file == output file detection and -q"
    Closes: #651617
  * Enable hardened build flags
    Patch by Moritz Muehlenhoff
    Closes: #655502
  * Drop 55-185208-bigfile.patch as it doesn't work
  * Standards Version is 3.9.3

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 13 Apr 2012 09:20:46 +1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: required
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Santiago Ruano Rincón <santiago@debian.org>
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: autotools-dev, debhelper (>= 7), gettext, libpcre3-dev (>= 7.7)
 Homepage: http://www.gnu.org/software/grep/
 Vcs-Git: git://git.debian.org/git/collab-maint/grep.git

## grep 2.14

=== debian/changelog ===
grep (2.14-1) unstable; urgency=low

  * [fb48cde] Imported Upstream version 2.14
    Merged upstream:
      90-672240-exclude.patch
    Update man page
      Closes: #678652
  * Standards Version is 3.9.4

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 08 Nov 2012 13:06:00 +1100

=== debian/rules ===
--- 
+++ 
@@ -13,14 +13,18 @@
 CROSS= --build $(DEB_BUILD_GNU_TYPE)
 endif
 
-CFLAGS= -O3 -g
-LDFLAGS= -Wl,-z,defs
+CFLAGS = `dpkg-buildflags --get CFLAGS`
+CFLAGS += -O3
+LDFLAGS = `dpkg-buildflags --get LDFLAGS`
+LDFLAGS += -Wl,-z,defs
+CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
+
 LIBS= -Wl,--no-as-needed -ldl -Wl,--as-needed
 
 config.status: configure
 	dh_testdir
 	cp -f /usr/share/misc/config.sub /usr/share/misc/config.guess .
-	./configure $(CROSS) --prefix=/usr --exec-prefix=/ --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --without-included-regex CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" LIBS="$(LIBS)"
+	./configure $(CROSS) --prefix=/usr --exec-prefix=/ --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --without-included-regex CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" LIBS="$(LIBS)"
 
 build: build-arch build-indep
 build-arch: build-stamp

## grep 2.16

=== debian/changelog ===
grep (2.16-1) unstable; urgency=low

  * New upstream release.
  * d/patches, Removed not longer needed patches:
    - 85-automake-warnings-bc9c23a4350598db4ec04225e1e0194a7b17175d.patch
    - 90-729581-multibyte-s.patch
    - 91-P-regression-9a9b4c59babc60e15a79cf7db8167d42e68e44b9.patch
    - 92-730472-PCRE-no-check-UTF8.patch
  * Bump Standards-Version to 3.9.5

 -- Santiago Ruano Rincón <santiago@debian.org>  Sat, 18 Jan 2014 13:41:31 +0100

grep (2.15-2) unstable; urgency=high

  * d/patches/92-730472-PCRE-no-check-UTF8.patch flags PCRE with
    PCRE_NO_UTF8_CHECK instead of PCRE_UTF8 to avoid checking if input is 
    UTF8 valid (Closes: #730472).

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 27 Nov 2013 23:39:35 +0100

grep (2.15-1) unstable; urgency=high

  * New upstream release. 
  * d/patches/
    - 85-automake-warnings-bc9c23a4350598db4ec04225e1e0194a7b17175d.patch
      "avoid automake deprecation warning re ACLOCAL_AMFLAGS"
    - 90-729581-multibyte-s.patch fixes a regresion bug, the \s 
      was not working on UTF-8 systems. (Closes: #729581)
    - 91-P-regression-9a9b4c59babc60e15a79cf7db8167d42e68e44b9.patch
      improves handling of PCRE errors and invalid UTF-8 inputs
  * Trying autoreconf again: disabling autopoint, autoheader and libtoolize.

 -- Santiago Ruano Rincón <santiago@debian.org>  Sun, 24 Nov 2013 17:53:03 +0100

grep (2.15~pre-2.14.54-37f7-1) experimental; urgency=low
  
  * New upstream release
  * d/control: 
    - Multi-Arch: foreign (Closes: #726391)
    - Removed Build-deps: dh-autoreconf
    - Added Build-deps: texinfo
  * Updated d/patches/03-397262-dlopen-pcre.patch

 -- Santiago Ruano Rincón <santiago@debian.org>  Sat, 26 Oct 2013 01:43:19 +0200

grep (2.14-4) unstable; urgency=low

  * Making debian/copyright machine-readable, according to the specification
    of version 1.0
  * d/patches/95-sS-multibyte.patch: Fixes matching of multi-byte white spaces
  * debian/rules: using dh_autoreconf tools

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 02 Oct 2013 15:00:06 +0200

grep (2.14-3) unstable; urgency=low

  * Updating 80-587930-man-ere-reference.patch to improve documentation 
    regarding -P (Closes: #203109)
  * Correcting a formating issue in grep.in.1. Thanks to David Prévot
    (Closes: #692760)

 -- Santiago Ruano Rincón <santiago@debian.org>  Sun, 11 Aug 2013 18:17:21 +0200

grep (2.14-2) unstable; urgency=low

  * Fixing bug in 03-397262-dlopen-pcre.patch: LIB instead of LIBS. Thanks
    to Bjarni Ingi Gislason. (Closes: #693917)

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 23 May 2013 11:02:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Priority: required
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Santiago Ruano Rincón <santiago@debian.org>
-Standards-Version: 3.9.3
-Build-Depends: autotools-dev, debhelper (>= 7), gettext, libpcre3-dev (>= 7.7)
+Standards-Version: 3.9.5
+Build-Depends: autotools-dev, debhelper (>= 7), dh-autoreconf, gettext, libpcre3-dev (>= 7.7), texinfo
 Homepage: http://www.gnu.org/software/grep/
 Vcs-Git: git://git.debian.org/git/collab-maint/grep.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/grep.git
 
 Package: grep
 Architecture: any
+Multi-Arch: foreign
 Essential: yes
 Pre-Depends: ${shlibs:Depends}
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info

=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,14 @@
 
 LIBS= -Wl,--no-as-needed -ldl -Wl,--as-needed
 
+# true prevents autoreconf invokes these tools
+export AUTOPOINT=true
+export AUTOHEADER=true
+export LIBTOOLIZE=true
+
 config.status: configure
 	dh_testdir
+	dh_autoreconf
 	cp -f /usr/share/misc/config.sub /usr/share/misc/config.guess .
 	./configure $(CROSS) --prefix=/usr --exec-prefix=/ --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --without-included-regex CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" LIBS="$(LIBS)"
 
@@ -36,6 +42,7 @@
 
 clean: 
 	dh_testdir
+	dh_autoreconf_clean
 	dh_testroot
 	rm -f build-stamp 
 	[ ! -f Makefile ] || $(MAKE) distclean

=== debian/watch ===
version=2
opts=dversionmangle=s/\~dfsg// \
	http://ftp.gnu.org/gnu/grep/grep-(.+)\.tar\.(?:gz|bz2|xz)

## grep 2.18

=== debian/changelog ===
grep (2.18-1+dyson1) unstable; urgency=medium

  * Package for Dyson
  * Build with included regex
  * Put everything under /usr

 -- Igor Pashev <pashev.igor@gmail.com>  Tue, 25 Mar 2014 14:55:45 +0400

grep (2.18-1) unstable; urgency=low

  * New upstream release
  * Move to CDBS. Jointly with included patches, makes grep build twice in a
    row (Closes: #736977) 
  * d/patches/
    - 03-397262-dlopen-pcre.patch: removed unneeded changes in configure
    - 99-autotools-changes.patch: included modifications made by autotools

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 06 Mar 2014 22:25:25 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Santiago Ruano Rincón <santiago@debian.org>
 Standards-Version: 3.9.5
-Build-Depends: autotools-dev, debhelper (>= 7), dh-autoreconf, gettext, libpcre3-dev (>= 7.7), texinfo
+Build-Depends: autotools-dev, cdbs, debhelper (>= 7), dh-autoreconf, gettext, libpcre3-dev (>= 7.7), texinfo
 Homepage: http://www.gnu.org/software/grep/
 Vcs-Git: git://git.debian.org/git/collab-maint/grep.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/grep.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

# true prevents autoreconf invokes these tools
export AUTOPOINT=true
export AUTOHEADER=true
export LIBTOOLIZE=true

##########################################################################
# I need to investigate why CDBS doesn't export automatically build flags 
# needed for hardening. This block should be temporal.
CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += -O3
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
LDFLAGS += -Wl,-z,defs
CPPFLAGS = `dpkg-buildflags --get CPPFLAGS`
DEB_CONFIGURE_SCRIPT_ENV += CFLAGS="$(CFLAGS)"
DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="$(LDFLAGS)"
DEB_CONFIGURE_SCRIPT_ENV += CPPFLAGS="$(CPPFLAGS)"
##########################################################################

DEB_CONFIGURE_SCRIPT_ENV += LIBS="-Wl,--no-as-needed -ldl -Wl,--as-needed"
DEB_CONFIGURE_SCRIPT_ENV += CPPFLAGS="-DHAVE_DYNAMIC_LIBPCRE"

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

binary-fixup/grep::
	rm -f debian/grep/usr/share/info/dir.gz

## grep 2.24

=== debian/changelog ===
grep (2.24-1) unstable; urgency=medium

  * New upstream release.

 -- Santiago Ruano Rincón <santiago@debian.org>  Sat, 12 Mar 2016 12:21:28 +0100

grep (2.23.7~9e28-1) experimental; urgency=medium

  * debian/rules: set DEB_MAKE_CHECK_TARGET to run expensive tests on amd64
    and i386 only, and cheap tests on any other architecture.
  * Add 81-356120-document-multiple-e.patch to clarify information about
    multiple -e and -f options. Closes: #356120.
  * Updated 80-587930-man-ere-reference.patch to modify grep.texi.

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 04 Mar 2016 21:14:58 +0100

grep (2.23-1) unstable; urgency=low

  * New upstream release.
  * Fix grep --exclude no longer works against arguments with a directory
    name. Closes: #807641.
  * Fix grep treats ISO-8859 text files as binary. Closes: #799956.
  * Remove no longer needed 85-412370-F-x-documentation.patch.

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 15 Feb 2016 23:22:58 +0100

grep (2.22-1) unstable; urgency=low

  * New upstream release

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 09 Nov 2015 14:31:36 +0100

grep (2.21-2) unstable; urgency=low

  * 80-587930-man-ere-reference.patch: Fix typo in man page (Closes: #779728).

 -- Santiago Ruano Rincón <santiago@debian.org>  Sat, 16 May 2015 11:20:32 +0200

grep (2.20-4.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix CVE-2015-1345: buffer overrun in src/kwset.c (closes: #776039).

 -- Michael Gilbert <mgilbert@debian.org>  Mon, 26 Jan 2015 02:56:14 +0000

grep (2.21-1) experimental; urgency=low

  * New upstream release (Uploading to experimental since Jessie is frozen).
  * Fix handling of word boundaries in multibyte locales (Closes: #720482).
  * Ignore regenerated files by automake via d/source/options. Remove
    now obsolete d/patches/90-doc-Makefile-Mostlyclean-files.patch.

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 25 Nov 2014 09:06:46 +0100

grep (2.21~pre-2.20.90-a07a4-2) experimental; urgency=low

  * A cleaner d/patches/90-doc-Makefile-Mostlyclean-files.patch replaces
    99-autotools-changes.patch. Needed to allow grep build twice in a row.

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 18 Nov 2014 17:55:11 +0100

grep (2.21~pre-2.20.90-a07a4-1) experimental; urgency=low

  * New upstream pre-release.
  * Remove no longer need patches:
    - 70-man_apostrophe.patch
    - 04-446854-grep.1.patch
    - 0001-build-avoid-Wstack-protector.patch
    - 0001-grep-P-invalid-utf8-non-matching-debian.patch
  * GREP_OPTIONS is obsolete now. grep warns its use (Closes: #411931).
  * Bump Standards-Version to 3.9.6.

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 17 Nov 2014 16:05:53 +0100

grep (2.20-4) unstable; urgency=medium

  * d/patches/05-grep-wrapper-sh.patch: egrep and fgrep wrap scripts use sh
    instead of bash. The patch also removes the possible call ./grep (looking
    for it in the working directory) (Closes: #762427, #762917).

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 03 Oct 2014 12:09:05 +0200

grep (2.20-3) unstable; urgency=high

  * d/patches/0001-grep-P-invalid-utf8-non-matching-debian.patch From
    upstream: -P now treats invalid UTF-8 characters as non matching.
    Thanks to Paul Eggert. (Closes: #758105). 

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 10 Sep 2014 13:10:32 +0200

grep (2.20-2) unstable; urgency=low

  * Add 85-412370-F-x-documentation.patch to d/patches/series
  * d/rules: 
    - Correct hardening CPPFLAGS. Thanks to Simon Ruderich.
      (Closes: #758069)
    - Set DEB_MAKE_CHECK_TARGET = check to run make check after build.

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 14 Aug 2014 17:40:36 +0200

grep (2.20-1) unstable; urgency=low

  * New upstream release.
  * Improve documentation about -F and -x. Thanks to Justin Pryzby.
    85-412370-F-x-documentation.patch (Closes: #412370)
  * Add d/upstream/signing-key.asc and updated d/watch to verify upstream
    signature.
  * d/rules: Enable all hardening options. Patch by Markus Waldeck.
  * Add 0001-build-avoid-Wstack-protector.patch. See:
    http://bugs.gnu.org/17793

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 13 Aug 2014 16:49:29 +0200

grep (2.18-2) unstable; urgency=medium

  * Depends on pcre3 >= 1:8.31-3. Since that revision, pcre3 enables to 
    compile JIT regexes (Closes: 736919) 

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 15 Apr 2014 19:40:35 +0200

=== debian/watch ===
version=2
opts="dversionmangle=s/\~dfsg//,pgpsigurlmangle=s/$/.sig/" \
	http://ftp.gnu.org/gnu/grep/grep-(.+)\.tar\.(?:gz|bz2|xz)

## grep 2.25

=== debian/changelog ===
grep (2.25-1~16.04.1) xenial-proposed; urgency=medium

  * New upstream release.
    - Don't switch into binary mode when encountering non-ASCII characters
      and running in the C locale. (LP: #1547466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 28 Apr 2016 08:01:38 +0200

grep (2.25-1) unstable; urgency=medium

  * New upstream release.
    - Treat all characters as valid in C or POSIX locales. Closes: #800670.
  * Remove 80-587930-man-ere-reference.patch
  * Update 81-356120-document-multiple-e.patch

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 22 Apr 2016 11:24:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: required
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Santiago Ruano Rincón <santiago@debian.org>
-Standards-Version: 3.9.5
-Build-Depends: autotools-dev, cdbs, debhelper (>= 7), dh-autoreconf, gettext, libpcre3-dev (>= 7.7), texinfo
+Standards-Version: 3.9.6
+Build-Depends: autotools-dev, cdbs, debhelper (>= 7), dh-autoreconf, gettext, libpcre3-dev (>= 1:8.31-3), texinfo
 Homepage: http://www.gnu.org/software/grep/
 Vcs-Git: git://git.debian.org/git/collab-maint/grep.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/grep.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1

# true prevents autoreconf from invoking these tools
export AUTOPOINT=true
export AUTOHEADER=true
export LIBTOOLIZE=true

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CPPFLAGS=-DHAVE_DYNAMIC_LIBPCRE
LIBS=-Wl,--no-as-needed -ldl -Wl,--as-needed

##########################################################################
# I need to investigate why CDBS doesn't export automatically build flags 
# needed for hardening. This block should be temporal.
CFLAGS = `dpkg-buildflags --get CFLAGS`
CFLAGS += -O3
LDFLAGS = `dpkg-buildflags --get LDFLAGS`
LDFLAGS += -Wl,-z,defs
CPPFLAGS += `dpkg-buildflags --get CPPFLAGS`
DEB_CONFIGURE_SCRIPT_ENV += CFLAGS="$(CFLAGS)"
DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="$(LDFLAGS)"
DEB_CONFIGURE_SCRIPT_ENV += CPPFLAGS="$(CPPFLAGS)"
##########################################################################

DEB_UPSTREAM_URL = http://ftp.gnu.org/gnu/grep/
DEB_UPSTREAM_TARBALL_EXTENSION = tar.xz

DEB_CONFIGURE_EXTRA_FLAGS += --without-included-regex
DEB_CONFIGURE_SCRIPT_ENV += LIBS="$(LIBS)"

# FIXME: CDBS should include a specific var for this 
# (e.g. DEB_CONFIGURE_EXECDIR in autotools-vars.mk)?
DEB_CONFIGURE_EXTRA_FLAGS += --exec-prefix=/

# Run expensive tests only on amd64 and i386. Builders have had some
# problems with expensive checks, e.g. long-pattern-perf, on other
# architectures such as s390x, ppc64el and hurd-i386.

ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 i386))
  DEB_MAKE_CHECK_TARGET = check-expensive
else
  DEB_MAKE_CHECK_TARGET = check
endif

include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

binary-fixup/grep::
	rm -f debian/grep/usr/share/info/dir.gz

## grep 2.27

=== debian/changelog ===
grep (2.27-2) unstable; urgency=low

  * Upstream patches to solve issues when standard input is a file in Linux
    /proc file system and standard output is /dev/null:
    - upstream-grep-simplify-finalize_input.patch
    - upstream-grep-work-around-proc-lseek-glitch.patch
    - upstream-grep-fix-bug-dev-null-output.patch
  * Minor upstream patch to clarify in NEWS the new early-exit 
    options.
    upstream-clarify-early-exit-news-for-2.27.patch
  * When grep -Fo finds matches of differing length, it could
    mistakenly print a shorter one. Import the patch to fix it:
    upstream-grep-Fo-could-report-a-match-that-is-not-the-longest.patch

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 23 Jan 2017 19:18:59 +0100

grep (2.27-1) unstable; urgency=low

  * New upstream release.
  * Improve documentation on context and matching lines. (Closes: #831673).
  * Fix non-deterministic behavior when output redirected to /dev/null
    (Closes: #844286).

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 07 Dec 2016 17:31:23 +0100

grep (2.26-1) unstable; urgency=low

  * New upstraem release.
  * Fix diagnosing errors in regexps provided through -f (Closes: #525214).

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 03 Oct 2016 06:44:16 +0200

grep (2.25-6) unstable; urgency=medium

  * debian/tests:
    - Remove no-pcre3 test: not possible to run it on available testbeds(?).
    - Add @builddeps@ to fix test dependencies.

 -- Santiago Ruano Rincón <santiago@debian.org>  Sun, 03 Jul 2016 21:07:38 +0200

grep (2.25-5) unstable; urgency=medium

  * Add debian/tests/upstream-test-suite-no-pcre3: run tests also under
    unavailable pcre3.

 -- Santiago Ruano Rincón <santiago@debian.org>  Sat, 02 Jul 2016 14:59:28 +0200

grep (2.25-4) unstable; urgency=medium

  * Remove deprecated cdbs patchsys-quilt (Closes: #825984)
  * Remove not actually needed.
    debian/tests/patches/01-test-Makefile-remove-PATH.patch.
  * debian/tests/{control,upstream-test-suite}: Depends on locales-all instead
    of trying to generate locale specific files.

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 02 Jun 2016 11:03:01 +0200

grep (2.25-3) unstable; urgency=medium

  * Add Build-Deps on quilt to make lintian happy
  * Bump Standards-Version to 3.9.8
  * Use Vcs-* secure links
  * Bump debian/compat to 9
  * Update debhelper (>= 9)

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 31 May 2016 19:41:32 +0200

grep (2.25-2) unstable; urgency=medium

  * Add debian/patches/upstream-90-language-test-suite.patch
  * Changes to enable first autopkgtest test:
    - debian/control: Add Testsuite: stanza
    - debian/rules: Include cdbs patchsys-quilt.
      Disable check-expensive. At least for the moment, let's use
      non-expensive checks.
    - debian/tests/upstream-test-suite: Try building binary packages.

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 31 May 2016 16:55:00 +0200

## grep 3.1

=== debian/changelog ===
grep (3.1-2) unstable; urgency=low

  * Replace 90-submitted-grep-man-Dt-updated.patch with
    90-upstream-doc-define-Dt-string-in-man-page.patch (Closes: #868133)

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 12 Jul 2017 12:59:03 +0200

grep (3.1-1) unstable; urgency=low

  * New upstream version 3.1
  * Remove no longer needed debian/patches/81-356120-document-multiple-e.patch 
  * doc/grep.in.1: Fix undefined `Dt' macro. Add
    debian/patches/90-submitted-grep-man-Dt-updated.patch (Closes: #863437)
  * Bump Standards-Version to 4.0.0

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 11 Jul 2017 16:25:21 +0200

grep (3.0-1) experimental; urgency=low

  * New upstream version 3.0
  * Remove no longer needed upstream patches:
    - upstream-grep-simplify-finalize_input.patch
    - upstream-grep-work-around-proc-lseek-glitch.patch
    - upstream-grep-fix-bug-dev-null-output.patch
    - upstream-clarify-early-exit-news-for-2.27.patch
    - upstream-grep-Fo-could-report-a-match-that-is-not-the-longest.patch
  * Refresh 03-397262-dlopen-pcre.patch

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 16 May 2017 11:27:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: required
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Santiago Ruano Rincón <santiago@debian.org>
-Standards-Version: 3.9.6
-Build-Depends: autotools-dev, cdbs, debhelper (>= 7), dh-autoreconf, gettext, libpcre3-dev (>= 1:8.31-3), texinfo
+Standards-Version: 4.0.0
+Build-Depends: autotools-dev, cdbs, debhelper (>= 9), dh-autoreconf, gettext, libpcre3-dev (>= 1:8.31-3), quilt, texinfo
 Homepage: http://www.gnu.org/software/grep/
-Vcs-Git: git://git.debian.org/git/collab-maint/grep.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/grep.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/grep.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/grep.git
+Testsuite: autopkgtest
 
 Package: grep
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -40,16 +40,17 @@
 # problems with expensive checks, e.g. long-pattern-perf, on other
 # architectures such as s390x, ppc64el and hurd-i386.
 
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),amd64 i386))
-  DEB_MAKE_CHECK_TARGET = check-expensive
-else
-  DEB_MAKE_CHECK_TARGET = check
-endif
+DEB_MAKE_CHECK_TARGET = check
 
 include /usr/share/cdbs/1/rules/upstream-tarball.mk
 include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
+# Fix permissions in test files not yet included in upstream released
+# tarballs
+configure/grep::
+	chmod +x tests/proc
+
 binary-fixup/grep::
 	rm -f debian/grep/usr/share/info/dir.gz

## grep 3.3

=== debian/changelog ===
grep (3.3-1) unstable; urgency=low

  * New upstream version 3.3.
    - New upstream release brings performance improvements to some
      situations. (Closes: #917127)
  * Remove upstream patches now included in new release.

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 07 Jan 2019 12:04:36 -0300

grep (3.1-3) unstable; urgency=low

  [ Santiago Ruano Rincón ]
  * Add upstream-532541-doc-improve-o-help.patch: Improve help about -o.
    (Closes: #532541)
  * Remove debian/patches/03-397262-dlopen-pcre.patch: dlopen libpcre.so.3 has
    been actually wrongly applied and not really used. This patch does not
    make sense any more (since stretch), since late-mounting of /usr is not
    longer supported. (Closes: #907651)
  * Add upstream-915206-0001-tests-backref-alt-works-with-glibc-2.28.patch.
    Fix FTBFS with glibc 2.28. (Closes: #915206)
  * d/source/options: remove compression = "bzip2", let dpkg-deb select
    suitable defaults.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Remove Testsuite field, not needed anymore
  * d/changelog: Remove trailing whitespaces
  * d/rules: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

 -- Santiago Ruano Rincón <santiago@debian.org>  Sun, 02 Dec 2018 18:58:48 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 Standards-Version: 4.0.0
 Build-Depends: autotools-dev, cdbs, debhelper (>= 9), dh-autoreconf, gettext, libpcre3-dev (>= 1:8.31-3), quilt, texinfo
 Homepage: http://www.gnu.org/software/grep/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/grep.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/grep.git
-Testsuite: autopkgtest
+Vcs-Git: https://salsa.debian.org/debian/grep.git
+Vcs-Browser: https://salsa.debian.org/debian/grep
 
 Package: grep
 Architecture: any

## grep 3.4

=== debian/changelog ===
grep (3.4-1) unstable; urgency=low

  * New upstream version 3.4
  * Include debian/salsa-ci.yml
  * Bump Standards-Version to 4.5.0

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 29 Jan 2020 10:31:53 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: required
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Santiago Ruano Rincón <santiago@debian.org>
-Standards-Version: 4.0.0
+Standards-Version: 4.5.0
 Build-Depends: autotools-dev, cdbs, debhelper (>= 9), dh-autoreconf, gettext, libpcre3-dev (>= 1:8.31-3), quilt, texinfo
 Homepage: http://www.gnu.org/software/grep/
 Vcs-Git: https://salsa.debian.org/debian/grep.git

=== debian/tests/control ===
Tests: upstream-test-suite
Depends: @builddeps@, fakeroot, libpcre3, locales-all
# TODO: remove allow-stderr. For now it is needed since for being able
#       to ignore expensive checks and for ignore unavailable locale warnings.
Restrictions: allow-stderr

## grep 3.6

=== debian/changelog ===
grep (3.6-1) unstable; urgency=low

   [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 9 to 10.
  * Set upstream metadata fields: Bug-Submit (from ./configure),
    Repository.
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Santiago Ruano Rincón ]
  * New upstream version 3.6
  * update debian/gbp.conf
  * Add debian/NEWS to document that GREP_OPTIONS no longer affects grep's
    behaviour
  * Use https in the debian/watch URL
  * Remove Build-Deps on autotools-dev and dh-autoreconf. debhelper=10 enables
    them by default
  * Add Description: to d/patches/02-man_rgrep.patch
  * Remove extra signatures in d/upstream/signing-key.asc

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 09 Nov 2020 21:37:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Santiago Ruano Rincón <santiago@debian.org>
 Standards-Version: 4.5.0
-Build-Depends: autotools-dev, cdbs, debhelper (>= 9), dh-autoreconf, gettext, libpcre3-dev (>= 1:8.31-3), quilt, texinfo
-Homepage: http://www.gnu.org/software/grep/
+Build-Depends: cdbs, debhelper (>= 10~), gettext, libpcre3-dev (>= 1:8.31-3), quilt, texinfo
+Homepage: https://www.gnu.org/software/grep/
 Vcs-Git: https://salsa.debian.org/debian/grep.git
 Vcs-Browser: https://salsa.debian.org/debian/grep

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 LIBS=-Wl,--no-as-needed -ldl -Wl,--as-needed
 
 ##########################################################################
-# I need to investigate why CDBS doesn't export automatically build flags 
+# I need to investigate why CDBS doesn't export automatically build flags
 # needed for hardening. This block should be temporal.
 CFLAGS = `dpkg-buildflags --get CFLAGS`
 CFLAGS += -O3
@@ -32,7 +32,7 @@
 DEB_CONFIGURE_EXTRA_FLAGS += --without-included-regex
 DEB_CONFIGURE_SCRIPT_ENV += LIBS="$(LIBS)"
 
-# FIXME: CDBS should include a specific var for this 
+# FIXME: CDBS should include a specific var for this
 # (e.g. DEB_CONFIGURE_EXECDIR in autotools-vars.mk)?
 DEB_CONFIGURE_EXTRA_FLAGS += --exec-prefix=/

## grep 3.7

=== debian/changelog ===
grep (3.7-0ubuntu1) impish; urgency=medium

  * New upstream version 3.7 to fix FTBFS (LP: #1940999)
  * Use built-in regex instead of the one from glibc, to address failure of
    test-regex with version 3.7.

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 30 Aug 2021 16:41:22 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: grep
 Section: utils
 Priority: required
-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Santiago Ruano Rincón <santiago@debian.org>
 Standards-Version: 4.5.0
 Build-Depends: cdbs, debhelper (>= 10~), gettext, libpcre3-dev (>= 1:8.31-3), quilt, texinfo

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,11 @@
 DEB_UPSTREAM_URL = http://ftp.gnu.org/gnu/grep/
 DEB_UPSTREAM_TARBALL_EXTENSION = tar.xz
 
-DEB_CONFIGURE_EXTRA_FLAGS += --without-included-regex
+# Long standing precedent is to build with the option --without-included-regex,
+# which will cause grep to get this from glibc instead.  That fails in
+# automated test on test-regex at the moment, until LP: #1940996 is addressed.
+# So use the built-in one instead, which passes.
+DEB_CONFIGURE_EXTRA_FLAGS += --with-included-regex
 DEB_CONFIGURE_SCRIPT_ENV += LIBS="$(LIBS)"
 
 # FIXME: CDBS should include a specific var for this

## grep 3.8

=== debian/changelog ===
grep (3.8-5) unstable; urgency=medium

  * Upload to unstable

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 24 Jan 2023 15:43:00 +0100

grep (3.8-4) experimental; urgency=medium

  * Fix sometimes mistakenly matches lines when last of multiple patterns
    includes backref (Closes: #1029235)

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 20 Jan 2023 17:25:51 +0100

grep (3.8-3) unstable; urgency=low

  * Temporarily add 1019724-handle-backslash-warning.patch to disable the
    stray backslash warning by default
    (Closes: #1019724)
  * Add autopkgtest for the stray backslash warning

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 25 Oct 2022 21:24:11 +0200

grep (3.8-2) unstable; urgency=low

  * Add 01-disable-egrep-fgrep-warnings.patch (Closes: #1019335)
  * Add 02-man_egrep_fgrep_rgrep.patch
  * Reintroduce and updated 05-grep-wrapper-sh.patch
  * Add test to check availability of egrep and fgrep
  * Add links for egrep.1 and fgrep.1 man pages
  * Add upstream-0001-doc-improve-GREP_COLORS-doc-Bug-57696.patch
    (Closes: #792385)

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 12 Sep 2022 15:47:11 +0200

grep (3.8-1) unstable; urgency=low

  [ Santiago Ruano Rincón ]
  * New upstream version, 3.8
    - Use libpcre2 instead of pcre3 (Closes: #907652)
  * Stop Suggesting libpcre*
  * Enable builds on ARM in salsa-ci
  * Configure with included regex when building with musl (Closes: #1008952)
    Thanks to Helmut Grohne <helmut@subdivi.de>
  * Remove 05-grep-wrapper-sh.patch. Upstream has made egrep and fgrep
    obsolecent.
  * Remove 02-man_rgrep.patch to stop documenting rgrep.
  * Declare compliance with Standards-Version 4.6.1.1

  [ Sam Q ]
  * Change uscan version to 4

 -- Santiago Ruano Rincón <santiago@debian.org>  Tue, 06 Sep 2022 15:29:49 +0200

grep (3.7-1) unstable; urgency=low

  * New upstream version 3.7
  * Add d/patches/XFAIL-test-regex.patch

 -- Santiago Ruano Rincón <santiago@debian.org>  Wed, 01 Sep 2021 17:39:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: grep
 Section: utils
 Priority: required
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
+Maintainer: Anibal Monsalve Salazar <anibal@debian.org>
 Uploaders: Santiago Ruano Rincón <santiago@debian.org>
-Standards-Version: 4.5.0
-Build-Depends: cdbs, debhelper (>= 10~), gettext, libpcre3-dev (>= 1:8.31-3), quilt, texinfo
+Standards-Version: 4.6.1.1
+Build-Depends: cdbs, debhelper (>= 10~), gettext, libpcre2-dev, quilt, texinfo
 Homepage: https://www.gnu.org/software/grep/
 Vcs-Git: https://salsa.debian.org/debian/grep.git
 Vcs-Browser: https://salsa.debian.org/debian/grep
@@ -18,7 +17,6 @@
 Depends: ${misc:Depends}, dpkg (>= 1.15.4) | install-info
 Conflicts: rgrep
 Provides: rgrep
-Suggests: libpcre3 (>= 7.7)
 Description: GNU grep, egrep and fgrep
  'grep' is a utility to search for text in files; it can be used from the
  command line or in scripts.  Even if you don't want to use it, other packages

=== debian/rules ===
--- 
+++ 
@@ -29,11 +29,13 @@
 DEB_UPSTREAM_URL = http://ftp.gnu.org/gnu/grep/
 DEB_UPSTREAM_TARBALL_EXTENSION = tar.xz
 
-# Long standing precedent is to build with the option --without-included-regex,
-# which will cause grep to get this from glibc instead.  That fails in
-# automated test on test-regex at the moment, until LP: #1940996 is addressed.
-# So use the built-in one instead, which passes.
-DEB_CONFIGURE_EXTRA_FLAGS += --with-included-regex
+include /usr/share/dpkg/architecture.mk
+
+ifeq (musl,$(DEB_HOST_ARCH_LIBC))
+	DEB_CONFIGURE_EXTRA_FLAGS += --with-included-regex
+else
+	DEB_CONFIGURE_EXTRA_FLAGS += --without-included-regex
+endif
 DEB_CONFIGURE_SCRIPT_ENV += LIBS="$(LIBS)"
 
 # FIXME: CDBS should include a specific var for this

=== debian/tests/control ===
Tests: upstream-test-suite
Depends: @builddeps@, fakeroot, libpcre2-8-0, locales-all
# TODO: remove allow-stderr. For now it is needed since for being able
#       to ignore expensive checks and for ignore unavailable locale warnings.
Restrictions: allow-stderr

Tests: egrep-fgrep, stray-backlash-warn
